Skip to content

Get card transaction (V3)
deprecated

Request

This endpoint is deprecated. Use the V4 Get card transaction endpoint instead.

Retrieve a card transaction by its ID.

When a refund happens, a separate transaction will be added with a REFUND transaction type.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
transactionIdstringrequired

The ID of the transaction.

Example:342671
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v3/spend/profiles/123456/cards/transactions/342671 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Card transaction retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring

ID of the transaction

Example:"342671"
cardTokenstring

Unique identifier of the card

Example:"59123122-223d-45f9-b840-0ad4a4f80937"
typestring

Type of the transaction. One of:

  • ACCOUNT_CREDIT
  • ACCOUNT_FUNDING
  • CASH_ADVANCE
  • CASH_WITHDRAWAL
  • CHARGEBACK
  • CREDIT_TRANSACTION
  • ECOM_PURCHASE
  • POS_PURCHASE
  • REFUND
Enum:"ACCOUNT_CREDIT""ACCOUNT_FUNDING""CASH_ADVANCE""CASH_WITHDRAWAL""CHARGEBACK""CREDIT_TRANSACTION""ECOM_PURCHASE""POS_PURCHASE""REFUND"
Example:"ECOM_PURCHASE"
declineReasonstring or null

Code of the decline reason if applicable

Example:null
detailedDeclineReasonstring or null

Code of the detailed decline reason if applicable

Example:null
createdDatestring, (date-time)

When the transaction was created

Example:"2022-11-28T08:17:54.241236Z"
statestring

The current state of the transaction. One of:

  • IN_PROGRESS
  • COMPLETED
  • DECLINED
  • CANCELLED
  • UNKNOWN
Enum:"IN_PROGRESS""COMPLETED""DECLINED""CANCELLED""UNKNOWN"
Example:"IN_PROGRESS"
cardLastDigitsstring

Last 4 digits of the card

Example:"3086"
transactionAmountobject

Transaction amount, excluding all embedded fees such as ATM fees that are not applied by Wise

feesArray of objects

Array of fees

transactionAmountWithFeesobject

Transaction amount including fees

merchantobject

Merchant information

authorisationMethodstring

Authorisation method

Example:"MANUAL_ENTRY"
balanceTransactionIdinteger or null, (int64)

Associated balance transaction ID if applicable

Example:2598366
debitsArray of objects

Array of debits

creditobject or null

Credit details, present for refund transactions

relayAuthorisationDataobject or null

Relayed authorisation response data, only available if the partner has opted in for relayed authorisation

property name*anyadditional property
Response
{ "id": "342671", "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "declineReason": null, "detailedDeclineReason": null, "createdDate": "2022-11-28T08:17:54.241236Z", "state": "IN_PROGRESS", "cardLastDigits": "3086", "transactionAmount": { "amount": 1.5, "currency": "SGD" }, "fees": [ { "amount": 0.1, "currency": "SGD", "fee_type": "ATM_ACQUIRER" } ], "transactionAmountWithFees": { "value": 1.5, "currency": "SGD" }, "merchant": { "name": "Test Payment", "location": { "country": "France", "city": "Rouen", "zipCode": "00000", "region": null, "state": null }, "category": { "name": "RMiscellaneousAndSpecial", "code": "5999", "description": "5999 R Miscellaneous and Special" } }, "authorisationMethod": "MANUAL_ENTRY", "balanceTransactionId": 2598366, "debits": [ { "balanceId": 52832, "debitedAmount": { … }, "forAmount": { … }, "rate": 1.43073, "fee": { … } } ], "credit": { "balanceId": 52832, "creditedAmount": { "amount": 1.5, "currency": "SGD" } }, "relayAuthorisationData": { "responseCode": "APPROVED", "fallback": true } }